package com.sdtool.common.entity.system;

import java.util.stream.Stream;

/**
 * Created by jlutt on 2020-09-28
 * 通知消息类型
 * 无需处理数据库存储，因为增加消息类型还是需要处理代码发送
 *
 * @author jlutt
 */
public enum BusinessNoticeMessage {

    /**
     * 机台任务发生变化，调度界面排产等，给其它终端调度发送消息
     */
    MACHINETASK("machineTask","机台任务-调用使用"),

    /**
     *
     */
    SYSTEMBROADCAST("systemBroadcast","系统广播消息");

    private String msgGroupCode;

    private String msgGroupName;

    BusinessNoticeMessage(String msgGroupCode, String msgGroupName) {
        this.msgGroupCode = msgGroupCode;
        this.msgGroupName = msgGroupName;
    }

    public static Stream<BusinessNoticeMessage> stream() {
        return Stream.of(BusinessNoticeMessage.values());
    }

    public String getMsgGroupCode() {
        return msgGroupCode;
    }

    public void setMsgGroupCode(String msgGroupCode) {
        this.msgGroupCode = msgGroupCode;
    }

    public String getMsgGroupName() {
        return msgGroupName;
    }

    public void setMsgGroupName(String msgGroupName) {
        this.msgGroupName = msgGroupName;
    }
}
